package com.tmerclub.cloud.api.order.vo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author TRACK
 */
public class PageShopAccountOrderVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private List<ShopAccountOrderDetailVO> shopList;

    private List<OrderPayInfoVO> payInfoList;

    private List<OrderRefundInfoVO> refundInfoList;

    /**
     * 总条数
     */
    private Long total;

    public List<ShopAccountOrderDetailVO> getShopList() {
        return shopList;
    }

    public void setShopList(List<ShopAccountOrderDetailVO> shopList) {
        this.shopList = shopList;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<OrderPayInfoVO> getPayInfoList() {
        return payInfoList;
    }

    public void setPayInfoList(List<OrderPayInfoVO> payInfoList) {
        this.payInfoList = payInfoList;
    }

    public List<OrderRefundInfoVO> getRefundInfoList() {
        return refundInfoList;
    }

    public void setRefundInfoList(List<OrderRefundInfoVO> refundInfoList) {
        this.refundInfoList = refundInfoList;
    }

    @Override
    public String toString() {
        return "PageShopAccountOrderVO{" +
                "shopList=" + shopList +
                ", payInfoList=" + payInfoList +
                ", refundInfoList=" + refundInfoList +
                ", total=" + total +
                '}';
    }
}
